Subject: Re: [tsvwg] residential broadband BCP PHB and CP treatment Re: CC/bleaching thoughts for draft-ietf-tsvwg-le-phb-04

From: <[email-masked]>
Date: Thu, 26 Apr 2018 08:38:45 +0000

Allright, my view:

I appreciate and support your BCP scheduling examples for LE and default PHB. All statements below refer to providers not supporting Diffserv within their domain (I expect those supporting Diffserv to have related BNG and peering policies already configured). I also think, we require text explaining why CS1 shouldn't be used to mark LE...but let's have this discussion separately.

HGW all directions and BNG for traffic received from HGW 
Classification, scheduling and marking as you propose. 

BNG, Peering Router
If both, BNG and Peering Router support your proposed LE BCP and mark LE by DSCP 01, then CS1 marked LE shouldn't occur within the provider domain (perfect world assumed for now). Then BNG and Peering Router LE scheduling for traffic leaving the domain needs to be based on DSCP 01 only.

Traffic reaching the Peering Router from an interconnected router
I think, we both agree that the receiving party is clueless about the PHB linked to CS1, if there's no agreement between interconnected parties. My preference then is to remark to default if there's no related agreement between peers.

If a provider wants to fully support the LE BCP, then it should be known to peers, that CS1 marks are classified as LE. Peers should be informed as part of a contract, that "RFC/BCP LE treatment" is applied for peering traffic. Further, depending on the regulatory environment, unilateral CS1 classification as LE for traffic received at peering routers could result in a network neutrality conflict. Such a statement should be added too.

Regards, Ruediger 

-----Ursprüngliche Nachricht-----
Von: Mikael Abrahamsson [mailto:[email-masked]] 
Gesendet: Montag, 23. April 2018 13:44
An: Geib, Rüdiger <[email-masked]>
Cc: [email-masked]
Betreff: Re: AW: AW: [tsvwg] residential broadband BCP PHB and CP treatment Re: CC/bleaching thoughts for draft-ietf-tsvwg-le-phb-04

On Mon, 23 Apr 2018, [email-masked] wrote:

> Mikael,
>
> and it's not easier for me to understand your discussion.

Let me try some schematics for a simplified network that's pertinent to what I want to achieve:

INTERNET<-1->PEERING ROUTER<-2->CORE ROUTER<-3->BNG<-4->HGW<-5->COMPUTER

1. This link connects the ISP to the Internet (peers, IXes, transit) 2. This link connects core/peering routers to each other.
3. This link connects core to BNG.
4. This link connects the residential access to HGW (DSL/PON/P2P eth/DOCSIS) 5. This link connects devices within the home (wifi/ethernet)

I want to document recommendations regarding PHB and CP (re-)mapping that can be done egress/ingress on 1 (peering router ingress/egress), 4 (BNG ingress/egress), 4(HGW ingress/egress) and 5 (HGW/hosts egress/egress,
RFC8325) most likely based on IP level information such as DSCP.

In my experience it's very common that todays behaviour is to set CP=0 ingress on 1 (peering router ingress) and 4 (BNG ingress) and PHB is all BE. This is what I want to change.

It can involve setting MPLS EXP/802.1p information based on DHCP CP (link
2 and 3, potentially 4), but that's up to the individual ISP what they want to do (I am not interested in recommending values for that).

Does this help?

-- 
Mikael Abrahamsson    email: [email-masked]